at.chipkarte.client.das.soap

## Class IEKOIngredient

- Object
- - at.chipkarte.client.das.soap.IEKOIngredient

-     public class IEKOIngredient
      extends Object

  Detaildaten zu einem in der Arzneispezialität enthaltenen Wirkstoff.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IEKOIngredient()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAtcCode()` Der ATC-Code des Wirkstoffes.
    `String` | `getIngredientDimension()` Dimension des Wirkstoffes in der Arzneispezialität Format: 9-stellig.
    `String` | `getIngredientName()` Der Name (die Bedeutung) des Wirkstoffes.
    `String` | `getIngredientStrength()` Wirkstoffstärke des Wirkstoffes in der Arzneispezialität.
    `void` | `setAtcCode(String atcCode)`
    `void` | `setIngredientDimension(String ingredientDimension)`
    `void` | `setIngredientName(String ingredientName)`
    `void` | `setIngredientStrength(String ingredientStrength)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IEKOIngredient

          public IEKOIngredient()

  - ### Method Detail

    - #### getIngredientName

          public String getIngredientName()

      Der Name (die Bedeutung) des Wirkstoffes. Format: max 200-stellig.
      Returns:
        IngredientName

    - #### getAtcCode

          public String getAtcCode()

      Der ATC-Code des Wirkstoffes. Format: 7-stellig.
      Returns:
        AtcCode

    - #### getIngredientStrength

          public String getIngredientStrength()

      Wirkstoffstärke des Wirkstoffes in der Arzneispezialität. Format: 10-stellig.
      Returns:
        IngredientStrength

    - #### getIngredientDimension

          public String getIngredientDimension()

      Dimension des Wirkstoffes in der Arzneispezialität Format: 9-stellig. Hinweis: ist dieser Parameter nicht befüllt, bedeutet dies die Dimension Gramm/Stück
      Returns:
        IngredientDimension

    - #### setIngredientName

          public void setIngredientName(String ingredientName)

    - #### setAtcCode

          public void setAtcCode(String atcCode)

    - #### setIngredientStrength

          public void setIngredientStrength(String ingredientStrength)

    - #### setIngredientDimension

          public void setIngredientDimension(String ingredientDimension)